/*
  latin6.c.  Produce a table of ISO Latin Alphabet 6.
  F. da Cruz, Columbia University, 1996.
  Final char 5/6 = "V".
*/
char *name[] = {
    "NO-BREAK SPACE",
    "CAPITAL LETTER A WITH OGONEK",
    "CAPITAL LETTER E WITH MACRON",
    "CAPITAL LETTER G WITH CEDILLA",
    "CAPITAL LETTER I WITH MACRON",
    "CAPITAL LETTER I WITH TILDE",
    "CAPITAL LETTER K WITH CEDILLA",
    "CAPITAL LETTER L WITH CEDILLA",
    "CAPITAL LETTER N WITH ACUTE",
    "CAPITAL LETTER R WITH CEDILLA",
    "CAPITAL LETTER S WITH CARON",
    "CAPITAL LETTER T WITH STROKE",
    "CAPITAL LETTER Z WITH CARON",
    "SOFT HYPHEN",
    "LATIN LETTER SMALL-CAPITAL K (Greenlandic)",
    "CAPITAL LETTER ENG (Sami)",
    "SMALL LETTER D WITH STROKE",
    "SMALL LETTER A WITH OGONEK",
    "SMALL LETTER E WITH MACRON",
    "SMALL LETTER G WITH CEDILLA",
    "SMALL LETTER I WITH MACRON",
    "SMALL LETTER I WITH TILDE",
    "SMALL LETTER K WITH CEDILLA",
    "SMALL LETTER L WITH CEDILLA",
    "SMALL LETTER N WITH ACUTE",
    "SMALL LETTER R WITH CEDILLA",
    "SMALL LETTER S WITH CARON",
    "SMALL LETTER T WITH STROKE",
    "SMALL LETTER Z WITH CARON",
    "SECTION SIGN",
    "SMALL LETTER SHARP S (German)",
    "SMALL LETTER ENG (Sami)",
    "CAPITAL LETTER A WITH MACRON",
    "CAPITAL LETTER A WITH ACUTE",
    "CAPITAL LETTER A WITH CIRCUMFLEX",
    "CAPITAL LETTER A WITH TILDE",
    "CAPITAL LETTER A WITH DIAERESIS",
    "CAPITAL LETTER A WITH RING ABOVE",
    "CAPITAL LETTER AE",
    "CAPITAL LETTER I WITH OGONEK",
    "CAPITAL LETTER C WITH CARON",
    "CAPITAL LETTER E WITH ACUTE",
    "CAPITAL LETTER E WITH OGONEK",
    "CAPITAL LETTER E WITH DIAERESIS",
    "CAPITAL LETTER E WITH DOT ABOVE",
    "CAPITAL LETTER I WITH ACUTE",
    "CAPITAL LETTER I WITH CIRCUMFLEX",
    "CAPITAL LETTER I WITH DIAERESIS",
    "CAPITAL LETTER D WITH STROKE",
    "CAPITAL LETTER N WITH CEDILLA",
    "CAPITAL LETTER O WITH MACRON",
    "CAPITAL LETTER O WITH ACUTE",
    "CAPITAL LETTER O WITH CIRCUMFLEX",
    "CAPITAL LETTER O WITH TILDE",
    "CAPITAL LETTER O WITH DIAERESIS",
    "CAPITAL LETTER U WITH TILDE",
    "CAPITAL LETTER O WITH STROKE",
    "CAPITAL LETTER U WITH OGONEK",
    "CAPITAL LETTER U WITH ACUTE",
    "CAPITAL LETTER U WITH CIRCUMFLEX",
    "CAPITAL LETTER U WITH DIAERESIS",
    "CAPITAL LETTER Y WITH ACUTE",
    "CAPITAL LETTER THORN (Icelandic)",
    "CAPITAL LETTER U WITH MACRON",
    "SMALL LETTER A WITH MACRON",
    "SMALL LETTER A WITH ACUTE",
    "SMALL LETTER A WITH CIRCUMFLEX",
    "SMALL LETTER A WITH TILDE",
    "SMALL LETTER A WITH DIAERESIS",
    "SMALL LETTER A WITH RING ABOVE",
    "SMALL LETTER AE",
    "SMALL LETTER I WITH OGONEK",
    "SMALL LETTER C WITH CARON",
    "SMALL LETTER E WITH ACUTE",
    "SMALL LETTER E WITH OGONEK",
    "SMALL LETTER E WITH DIAERESIS",
    "SMALL LETTER E WITH DOT ABOVE",
    "SMALL LETTER I WITH ACUTE",
    "SMALL LETTER I WITH CIRCUMFLEX",
    "SMALL LETTER I WITH DIAERESIS",
    "SMALL LETTER ETH (Icelandic)",
    "SMALL LETTER N WITH TILDE",
    "SMALL LETTER O WITH MACRON",
    "SMALL LETTER O WITH ACUTE",
    "SMALL LETTER O WITH CIRCUMFLEX",
    "SMALL LETTER O WITH TILDE",
    "SMALL LETTER O WITH DIAERESIS",
    "SMALL LETTER U WITH TILDE",
    "SMALL LETTER O WITH STROKE",
    "SMALL LETTER U WITH OGONEK",
    "SMALL LETTER U WITH ACUTE",
    "SMALL LETTER U WITH CIRCUMFLEX",
    "SMALL LETTER U WITH DIAERESIS",
    "SMALL LETTER Y WITH ACUTE",
    "SMALL LETTER THORN (Icelandic)",
    "SMALL LETTER U WITH MACRON",
};

main() {
    int i, j;
    printf("ISO 8859-10 Latin Alphabet 6\n");
    printf("char dec col/row oct hex  description\n");
    for (i = 160; i < 256; i++) {
	j = i - 160;
	printf("[%c]  %3d  %02d/%02d  %3o  %2X  %s\n",
	       i, i, i/16, i%16, i, i, name[j]);
    }
}
